# PSF-LoginServer - master - net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.ItemizedSquad
PSF - LoginServer - master - net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.ItemizedSquad
Keywords: PSF LoginServer master net.psforever.packet.game.SquadDetailDefinitionUpdateMessage.ItemizedSquad

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  object SquadDetailDefinitionUpdateMessage extends Marshallable[SquadDetailDefinitionUpdateMessage] with Serializable
  Definition Classes
    game
- FullSquad
- FullyPopulatedPositions
- ItemizedPositions
- ItemizedSquad

o

net.psforever.packet.game.SquadDetailDefinitionUpdateMessage

# ItemizedSquad

###

#### object ItemizedSquad

The patterns necessary to read coded squad data fields. Any number of squad fields can be parsed, but the number is always counted and the fields are always preceded by a unique action code. Only important fields are listed as if to update them; unlisted fields indicate fields that do not get updated from their current values.

Source
  SquadDetailDefinitionUpdateMessage.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ItemizedSquad
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def codec(size: Int): Codec[SquadDetail]

   Entry point.

   Entry point. The stream misalignment will always be by 1 bit over the previous boundary when this is invoked.

   size

     the number of squad fields to be parsed

   returns

     a pattern for parsing the coded squad field data between a coded linked list and a combined squad object

7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped